Package twisted :: Package internet :: Module interfaces :: Class IReactorUDP

[frames | no frames]

## Class IReactorUDP

    Interface --+
                |
               IReactorUDP

UDP socket methods.

IMPORTANT: This is an experimental new interface. It may change without backwards compatability. Suggestions are welcome.

Method Summary
| ``connectUDP`(self, remotehost, remoteport, protocol, localport, interface, maxPacketSize)` DEPRECATED.
| ``listenUDP`(self, port, protocol, interface, maxPacketSize)` Connects a given DatagramProtocol to the given numeric UDP port.

Method Details

### connectUDP(self, remotehost, remoteport, protocol, localport=0, interface='', maxPacketSize=8192)

DEPRECATED.

Connects a `twisted.internet.protocol.ConnectedDatagramProtocol` instance to a UDP port.

### listenUDP(self, port, protocol, interface='', maxPacketSize=8192)

Connects a given DatagramProtocol to the given numeric UDP port.

  Returns:
    object conforming to `IListeningPort`.

Generated by Epydoc 2.0 on Sat May 15 20:08:42 2004 | http://epydoc.sf.net